
%global meadversion 3.0.2
%global namedversion 3.0.2.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jakarta-validation-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.2.redhat-00001

Name:           %{?scl_prefix}jakarta-validation-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Bean Validation API
Group:          Development/Java

%if %with mead
Source100: jakarta.validation-api-3.0.2.redhat-00001-project-sources.tar.gz
Source102: jakarta.validation-api-3.0.2.redhat-00001-sources.jar
Source103: jakarta.validation-api-3.0.2.redhat-00001.pom
Source104: jakarta.validation-api-3.0.2.redhat-00001.jar
Source105: jakarta.validation-api-3.0.2.redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            https://beanvalidation.org
Provides:       %{?scl_prefix}validation-api = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/validation-api-%{namedversion}-%{release}-root

%description
Bean Validation (JSR-303) API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for validation-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jakarta.validation-api-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.validation-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.validation-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.validation-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.validation-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.validation-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.validation-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta.validation-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.validation-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.validation-api-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta.validation-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta.validation-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc license.txt license copyright.txt README.md NOTICE.md CONTRIBUTING.md
%{_javadir}/jakarta.validation-api-%{namedversion}.jar
%{_javadir}/jakarta.validation-api.jar
%if %with javadoc
%{_javadir}/jakarta.validation-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.validation-api-javadoc.jar
%endif
%{_javadir}/jakarta.validation-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.validation-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta.validation-api-%{namedversion}
%{_javadocdir}/jakarta.validation-api
%endif

%changelog
* Thu Oct 13 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.0.2-1.redhat_00001.1
- Built by CPaaS

* Fri Jun 17 2022 Yong Yang <yyang@redhat.com> - 2.0.2-1.redhat_00001.1
- Rename from hibernate-beanvalidation-api


* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.0.2-1.redhat_00001.1
Built by CPaaS



* Mon Sep 30 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.2-1.redhat_00001.1
- 2.0.2.redhat-00001

* Thu Jul 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.0.1-1.Final_redhat_1.1
- Wrap 2.0.1.Final

* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 1.1.0-3.Final_redhat_1.1
- Rewrap for 7.2.0

* Fri Apr 24 2015 David Walluck <dwalluck@redhat.com> - 1.1.0-2.Final_redhat_1.1
- fix subpackage

* Fri Apr 10 2015 David Walluck <dwalluck@redhat.com> - 1.1.0-1.Final_redhat_1.1
- release
